<?php
/* eoCMS is a content management system written in php
    Copyright (C) 2007 - 2009  James Mortemore, Ryan Matthews
    http://www.eocms.com
	This work is licensed under the Creative Commons 
	Attribution-Share Alike 3.0 United States License. 
	To view a copy of this license, visit 
	http://creativecommons.org/licenses/by-sa/3.0/us/
	or send a letter to Creative Commons, 171 Second Street, 
	Suite 300, San Francisco, California, 94105, USA.
	Additional license terms at http://eocms.com/license.html
*/

function output($title = '', $body = '', $head = '') {
	global $settings, $authid, $checkleft, $checkright, $head, $error, $error_die;
	if(theme('output_error') != false) {
		$body = theme('output_error');
		$title = 'Error';
		$panels = false;
		$lowerpanel = false;
		$panel = '';
		unset($error_die);
	} else
		$panels = true;
	//display panels
	if($panels != false) {
		$panel =  theme('displaypanels');
		$lowerpanel = theme('displaylowerpanel');
	}
	if(isset($error) && !empty($error)) {
	    $errors = '<br />'.theme('title', 'Error') . theme('start_content').'<div class="errors"><ul>';
		foreach($error as $error1) {
			$errors .= '<li>'.$error1.'</li>';
		}
		$errors .= '</ul></div>'.theme('end_content');
		unset($error);
	} else
	    $errors = '';
	if(isset($_GET['page']) && $_GET['page'] > 1)
		$title = $title.' - Page '.$_GET['page'];
	$output = theme('head', stripslashes($title), $head) . '<body>';
	if($settings['maintenance_mode'] == 'on')
	    $output .= '<div class="titlebg">WARNING: Maintenance Mode is on</div>';
	$output .= '<div id="container">
	' . theme('top') . theme('links');
	$output .= $panel;
	//display the data
	$output .= $errors. '<br />' . stripslashes($body);
	$output .= $lowerpanel . theme('footer');
	//SEO Friendly Links
	include(IN_PATH.'/functions/seofriendlyurls.php');
	//Check if the tidy library is installed
	if(extension_loaded('tidy')) {
		//yay it is, lets clean up all the HTML, so it looks all nice in View Source in your browser :)
		$options = array("indent" => true, 'wrap' => 0); 
		$output = tidy_parse_string($output, $options);
		tidy_clean_repair($output);
	}
	die($output);
}
?>